% Resolvendo Eq. Onda UniDirecional

% Ut + c*Ux = 0
% Velocidade de onda
c = -10;
% Perfil inicial da onda
u0 = @(x) sin(x);

% Definicao de grade
dt = 0.01;
dx = 0.01;

x = 0:dx:5;
t = 0:dt:2;
menor = min(u0(x));
maior = max(u0(x));

%%%% Evoluindo caracteristicas e deslocando onda

for i = 1:max(size(t))
    
    Ksi = x - c.*t(i); 
   
    u = u0(Ksi);
    
    plot(x,u)
    axis([x(1) x(end) menor maior])
    pause(0.2)
    
end